ElementType.h File Reference
`#include <string>`

Go to the source code of this file.

## Namespaces

| dudley
| A suite of factory methods for creating 2D and 3D dudley domains.

## Enumerations

enum | dudley::ElementTypeId { dudley::Dudley_Point1 = 0 , dudley::Dudley_Line2 = 1 , dudley::Dudley_Tri3 = 2 , dudley::Dudley_Tet4 = 3 , dudley::Dudley_Line2Face = 4 , dudley::Dudley_Tri3Face = 5 , dudley::Dudley_Tet4Face = 6 , dudley::Dudley_NoRef = 7 }

## Functions

ElementTypeId | dudley::eltTypeFromString (const std::string &s)